Reply to a Review
curl --request POST \
--url https://api-dev.myrestoo.net/v3/reviews/{reviewId}/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Restoo-Account-Id: <restoo-account-id>' \
--header 'Restoo-Partner-Id: <restoo-partner-id>' \
--data '
{
"replyText": "Thank you for your kind feedback! We look forward to welcoming you again soon."
}
'import requests
url = "https://api-dev.myrestoo.net/v3/reviews/{reviewId}/reply"
payload = { "replyText": "Thank you for your kind feedback! We look forward to welcoming you again soon." }
headers = {
"Restoo-Partner-Id": "<restoo-partner-id>",
"Restoo-Account-Id": "<restoo-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Restoo-Partner-Id': '<restoo-partner-id>',
'Restoo-Account-Id': '<restoo-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
replyText: 'Thank you for your kind feedback! We look forward to welcoming you again soon.'
})
};
fetch('https://api-dev.myrestoo.net/v3/reviews/{reviewId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "BOOKING_IS_NOT_ON_SEATED_GROUP",
"detail": "The booking must be on the seated group status to be ended."
}{
"type": "about:blank",
"title": "Validation Error",
"status": 422,
"code": "VALIDATION_ERROR",
"detail": "The request is not valid.",
"errors": [
{
"parameter": "status",
"reason": "The selected status is invalid."
}
]
}Review
Reply to a Review
Sends an email response to the Customer on behalf of the Tenant and marks the Review as replied.
POST
/
reviews
/
{reviewId}
/
reply
Reply to a Review
Authorizations
All requests must include the static API Key in the Authorization header using the Bearer scheme.
Headers
Unique identifier of your Partner account (defined by Restoo).
Path Parameters
The unique identifier of the Review to reply to
Required range:
x >= 1Body
application/json
ReplyRequest
Request payload for replying to a Review.
The reply text to send to the Customer on behalf of the Venue. Must be between 1 and 5000 characters
Required string length:
1 - 5000Example:
"Thank you for your kind feedback! We look forward to welcoming you again soon."